Support Questions
Find answers, ask questions, and share your expertise
Announcements
Check out our newest addition to the community, the Cloudera Innovation Accelerator group hub.

How to install awscli in hortonworks sandbox 2.5

Explorer

I have python 2.6 and PIP on sanbox 2.5 and then I am trying to install awscli ( install awscli ) , but I am getting attached error.

If awscli is using PyYAML3.12 and if PyYAML3.12 is not supported in Python2.6 then what could be the solution.

How can I install awscli in hortonworks sandbox 2.5 ?

appreciate your help!!

40444-error.jpg

1 REPLY 1

@Deepak Tripathi

I would install Anaconda Python 2.7.x. You can install it in your home directory or in /opt. This won't interfere with the system default python.